package net.moonleay.gimble.datagen

import net.fabricmc.fabric.api.datagen.v1.FabricDataGenerator
import net.fabricmc.fabric.api.datagen.v1.provider.FabricLanguageProvider

class En_us_GimbleLanguageProvider(dataGenerator: FabricDataGenerator?) :
    FabricLanguageProvider(dataGenerator, "en_us") {

    override fun generateTranslations(translationBuilder: TranslationBuilder?) {
        if (translationBuilder == null) return
        // Editor modes
        translationBuilder.add("gimble.category.editormode", "Editor Modes")
        translationBuilder.add("gimble.key.editor.mode.insert", "Enter Insert Mode")
        translationBuilder.add("gimble.key.editor.mode.replace", "Enter Replace Mode")
        translationBuilder.add("gimble.key.editor.mode.visual", "Enter Visual Mode")


        // Editor mode modifiers
        translationBuilder.add("gimble.category.editormodifier", "Editor Mode Modifiers")
        translationBuilder.add("gimble.key.editor.modifier.bulldozer", "Toggle Bulldozer Modifier")
        translationBuilder.add("gimble.key.editor.modifier.forceplace", "Toggle Force Place Modifier")
        translationBuilder.add("gimble.key.editor.modifier.noupdates", "Toggle No Updates Modifier")
        translationBuilder.add("gimble.key.editor.modifier.noclip", "Toggle No Clip Modifier")

        // Game mode
        translationBuilder.add("gimble.category.gamemode", "Game Mode")
        translationBuilder.add("gimble.key.game.mode.survival", "Enable Survival Mode")
        translationBuilder.add("gimble.key.game.mode.creative", "Enable Creative Mode")
        translationBuilder.add("gimble.key.game.mode.spectator", "Enable Spectator Mode")

    }
}
